- name: Add "student"
  include: user.yml

- name: Install helper packages
  include: helper-pkgs.yml

- name: Disabling unused daemons (CLI)
  systemd:
    name: "{{ item }}"
    enabled: no
  with_items:
    - iscsid.socket
    - snapd.seeded.service
    - snapd.service

- name: Disabling unused daemons (GUI)
  systemd:
    name: "{{ item }}"
    enabled: no
  with_items:
    - wpa_supplicant.service
  when: interface == "gui"

- name: Removing blocker console
  lineinfile:
    path: "{{ item }}"
    regexp: '^GRUB_CMDLINE_LINUX_DEFAULT'
    line: 'GRUB_CMDLINE_LINUX_DEFAULT="console=tty1"'
  with_items:
    - /etc/default/grub
    - /etc/default/grub.d/50-cloudimg-settings.cfg

- name: Running 'update-grub'
  command: update-grub

- name: Overwriting network config (systemd)
  copy:
    src: resources/50-cloud-init-systemd.yaml
    dest: /etc/netplan/50-cloud-init.yaml
  when: interface != "gui"

- name: Overwriting network config (NetworkManager)
  copy:
    src: resources/50-cloud-init-networkmanager.yaml
    dest: /etc/netplan/50-cloud-init.yaml
  when: interface == "gui"

- name: Add 'Desktop' folder
  become: yes
  become_user: "{{ username }}"
  file:
    path: "/home/{{ username }}/Desktop"
    state: directory
  when: interface == "gui"
